New features
Version 1.2 of the TwelveLabs Video Understanding Platform introduces the following new features:
- The alpha version of the Pegasus video understanding engine has been released. You can now use it to analyze videos.
- You can now upload videos from external providers. Currently, only YouTube is supported as an external provider, but we will add support for additional providers in the future.
Updates
This section lists the differences between version 1.1.2 and version 1.2 of the TwelveLabs Video Understanding API.
- When you make an API call, make sure that you specify the
1.2version in the URL. The URL should look similar to the following one:https://api.twelvelabs.io/v1.2/{resource}/{path_parameters}?{query_parameters}. For more details, see the Call an endpoint section. - To enable the utilization of multiple engines for an index, the following changes have been made:
- POST
/indexes: Theengine_idandindexing_optionsparameters of the request have been deprecated. Instead, you can now define the engine configuration as a list of objects. See the Create an index page for details. - GET
/indexes/{index_id}: Theengine_idfield in the response has been superseded by an array of objects namedengines. See the Retrieve an index page for details. - GET
/indexes:- The
engine_idfield in the response has been superseded by an array of objects namedengines. See the List indexes page for details. - The
engine_familyquery parameter has been introduced, allowing you to filter by engine family. - The
index_optionsquery parameter has been marked for deprecation. You can still use it in this version of the API, but it will be deprecated in a future release. Instead, useengine_optionsorengine_family.
- The
- GET
/engines: Theallowed_index_optionfield in the response has been renamed toallowed_engine_options. - GET
/engines/{engine-id}Theallowed_index_optionfield in the response has been renamed toallowed_engine_options. See theRetrieve an engine pagefor details.
- POST
- The
/searchand/search/{page-token}endpoints no longer return theconversation_option,search_options, andqueryfields.